Bug 503231 - switch fedora over to using TIRPC-enabled nfs-utils
switch fedora over to using TIRPC-enabled nfs-utils
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 14:39 EDT by Jeff Layton
Modified: 2009-09-24 18:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 18:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
specfile patch -- enable building with tirpc (1.47 KB, patch)
2009-06-04 10:51 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2009-05-29 14:39:57 EDT
IPv6 support will require that nfs-utils be build with --enable-tirpc. While some of the IPv6 work is still in progress, there's no reason not to go ahead and build nfs-utils with TIRPC support in the interim.

This should mostly just be changing some things in the specfile (package dependencies and running configure with --enable-tirpc).
Comment 1 Jeff Layton 2009-06-04 10:51:50 EDT
Created attachment 346545 [details]
specfile patch -- enable building with tirpc

This patch seems to work. I think I've got all of the build dependencies correct.

Steve, any objection to me committing this sometime soon?
Comment 2 Steve Dickson 2009-06-04 17:33:57 EDT
Well, I would like to see an discussion upstream as to how
willing other distros are to be dependent on and or
install libtirpc... 

I guess I'm a bit uncomfortable moving in front of upstream 
by enabling tirpc only in Fedora rawhide. I would be much
more comfortable if we got the buy in (i.e. a williness 
to accept libtirpc) from the entire community... 

But in the end, I do understand that if the community wants 
IPv6 support, they will have to accept libtirpc...
Comment 3 Bug Zapper 2009-06-09 12:49:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jeff Layton 2009-06-22 09:19:46 EDT
On Friday, FESCO approved client-side NFS over IPv6 as a F12 feature.
Comment 5 Jeff Layton 2009-09-24 18:02:04 EDT
We don't have IPv6 yet enabled, but TI-RPC is now turned on in nfs-utils.

Note You need to log in before you can comment on or make changes to this bug.